/**
 * 判断是否为空
 */
export function validatenull(val: any) {
  if (typeof val === "boolean") {
    return false;
  }
  if (typeof val === "number") {
    return false;
  }
  if (val instanceof Array) {
    if (val.length === 0) return true;
  } else if (val instanceof Object) {
    if (JSON.stringify(val) === "{}") return true;
  } else {
    if (val === "null" || val == null || val === "undefined" || val === undefined || val === "") return true;
    return false;
  }
  return false;
}

/**
 * URL地址
 * @param {*} s
 */
export function isURL(s: string) {
  return /^http[s]?:\/\/.*/.test(s);
}

/**
 * 校验 请输入中文、英文、数字包括下划线
 * 名称校验
 */
export function validatorKey(rule: any, value: any, callback: any) {
  const acount = /^[A-Z_]+$/;
  if (value && !acount.test(value)) {
    callback(new Error("请输入大写英文、下划线"));
  } else {
    callback();
  }
}
